import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class AbsoluteVolumeOscillatorIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    protected bj(): Series;
    protected get_abt(): IndicatorCalculationStrategy;
    protected get abt(): IndicatorCalculationStrategy;
    protected get_ab6(): Type;
    protected get ab6(): Type;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    static readonly acf: DependencyProperty;
    protected ab1(): number;
    get longPeriod(): number;
    set longPeriod(a: number);
    static readonly ace: DependencyProperty;
    protected aby(): number;
}
